Subject: Re: Problems with Serial Port on IceCube

From: Sylvain Munaut <[email-masked]>
Date: Sun, 06 Feb 2005 19:06:23 +0100

Hi

Does your kernel cmdline includes the "console=ttyS0" ?
It's mandatory here while with DENX's kernel it may not be.

The initscript are not even launched at that point ...

Sylvain

Linas Petras wrote:

>Hi All
>
>I'm running Sylvain Munaut's version of 2.6.10-rc2 with DENX's 3.1 ELDK as
>the cross
>compile tools with nfs mounted root filesystem and I seem to have a probelm
>when I'm 
>connected to the "icecube" development boards serial port.
>
>I get the u-boot 1.1.3 bootrom messages from the serial port on the
>"icecube" and can 
>boot the kernel using the serial port but I don't get any messages after the
>early 
>boot message "arch: exit". It appeared to me that the board was booting so I
>tried to 
>telnet via the network to the board and this worked fine. So the kernel is
>running, I 
>just don't get the "normal" bootup messages from the kernel.
>
>If I use the standard DENX 2.4.25 kernel I get all the message going to the
>serial 
>port OK.
>
>Any ideas of whats going on ????? Is their a problem with the console
>support in 
>Sylvain's port or something in the "standard" init scripts that come with
>DENX's ELDK 
>3.1 when used with a 2.6.xx kernel or have I missed something obvious?
>
>Linas Petras
>------------
>I know not with which weapons World War III will be faught, but World War IV
>will be faught with sticks and stones. - Albert Einstein.
>
>_______________________________________________
>Linuxppc-embedded mailing list
>[email-masked]
>https://ozlabs.org/mailman/listinfo/linuxppc-embedded
>
>  
>